#include <stdio.h>

int main(){
  int m, n;
  scanf("%d%d", &m, &n);
  int i, j, k, s=0, pom=0;
  
  for(i=0; i<m-n+1; i++){
    for(j=1; j<=n; j++){
      pom+=j;
      for(k=0; k<m-n+1; k++){
	s+=pom+n;
	printf("%d ", s);
      
      }
    }
  }

return 0;
}